Skip to content

Create a Shipment

This endpoint can be used to create a shipment for an order.

Endpoint details

POST /api/v1.0/orders/{id}/shipments

Create Order Shipment

Creates shipment in packed state for the specified order.

Path Parameters

id integer required

Order id

Request Headers

X-Thredup-Access-Token string required

Authentication token

Request Body

carrier string optional

tracking_number string optional

tracking_url string optional

warehouse_id integer required

order_line_ids array[integer] required

packed_at string required

UTC ISO8601 Timestamp when the shipment was packed

shipped_at string optional

UTC ISO8601 Timestamp when the shipment was shipped

expected_to_deliver_at string optional

UTC ISO8601 Timestamp of when the shipment is expected to be delivered

Example Request Body
{
  "carrier": "USPS",
  "tracking_number": "9400111899562123456789",
  "tracking_url": "https://tools.usps.com/go/TrackConfirmAction?tLabels=9400111899562123456789",
  "warehouse_id": 10053,
  "order_line_ids": [
    345678,
    345679
  ],
  "packed_at": "2026-03-14T10:00:00Z",
  "shipped_at": null,
  "expected_to_deliver_at": null
}

Responses

Order shipment saved

Returns a OrderShipmentCreateResponse object.

Example Response Body
{
  "id": 901234
}

Unauthorized

No response body

This endpoint returns no response body for current status code.

Unprocessable entity

No response body

This endpoint returns no response body for current status code.